--
-- PostgreSQL database dump
--

-- Dumped from database version 9.4.4
-- Dumped by pg_dump version 9.4.4
-- Started on 2015-10-05 13:57:27 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 7 (class 2615 OID 22724)
-- Name: parametres; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA parametres;


SET search_path = parametres, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 181 (class 1259 OID 22754)
-- Name: associer_parametres_systeme; Type: TABLE; Schema: parametres; Owner: -; Tablespace: 
--

CREATE TABLE associer_parametres_systeme (
    pk_associer_parametres_systeme integer NOT NULL,
    fk_parametre_source integer,
    fk_parametre_cible integer,
    descriptif text,
    notes text,
    date_creation timestamp with time zone,
    date_modification timestamp with time zone
);


--
-- TOC entry 182 (class 1259 OID 22760)
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE; Schema: parametres; Owner: -
--

CREATE SEQUENCE associer_parametres_systeme_pk_associer_parametres_systeme_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2369 (class 0 OID 0)
-- Dependencies: 182
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE OWNED BY; Schema: parametres; Owner: -
--

ALTER SEQUENCE associer_parametres_systeme_pk_associer_parametres_systeme_seq OWNED BY associer_parametres_systeme.pk_associer_parametres_systeme;


--
-- TOC entry 183 (class 1259 OID 22762)
-- Name: parametre_systeme; Type: TABLE; Schema: parametres; Owner: -; Tablespace: 
--

CREATE TABLE parametre_systeme (
    pk_parametre_systeme integer NOT NULL,
    valeur character varying(255),
    definition text,
    notes text,
    type_valeur character varying(255),
    champ_concerne character varying(255),
    date_creation timestamp with time zone,
    date_modification timestamp with time zone,
    classe_concernee character varying(255),
    valeur_inverse character varying(255)
);


--
-- TOC entry 184 (class 1259 OID 22768)
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE; Schema: parametres; Owner: -
--

CREATE SEQUENCE parametres_systeme_pk_parametre_systeme_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2370 (class 0 OID 0)
-- Dependencies: 184
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE OWNED BY; Schema: parametres; Owner: -
--

ALTER SEQUENCE parametres_systeme_pk_parametre_systeme_seq OWNED BY parametre_systeme.pk_parametre_systeme;


--
-- TOC entry 2229 (class 2604 OID 22781)
-- Name: pk_associer_parametres_systeme; Type: DEFAULT; Schema: parametres; Owner: -
--

ALTER TABLE ONLY associer_parametres_systeme ALTER COLUMN pk_associer_parametres_systeme SET DEFAULT nextval('associer_parametres_systeme_pk_associer_parametres_systeme_seq'::regclass);


--
-- TOC entry 2230 (class 2604 OID 22782)
-- Name: pk_parametre_systeme; Type: DEFAULT; Schema: parametres; Owner: -
--

ALTER TABLE ONLY parametre_systeme ALTER COLUMN pk_parametre_systeme SET DEFAULT nextval('parametres_systeme_pk_parametre_systeme_seq'::regclass);


--
-- TOC entry 2361 (class 0 OID 22754)
-- Dependencies: 181
-- Data for Name: associer_parametres_systeme; Type: TABLE DATA; Schema: parametres; Owner: -
--



--
-- TOC entry 2371 (class 0 OID 0)
-- Dependencies: 182
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE SET; Schema: parametres; Owner: -
--

SELECT pg_catalog.setval('associer_parametres_systeme_pk_associer_parametres_systeme_seq', 8, true);


--
-- TOC entry 2363 (class 0 OID 22762)
-- Dependencies: 183
-- Data for Name: parametre_systeme; Type: TABLE DATA; Schema: parametres; Owner: -
--

INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (1, 'Acteur', 'Toute personne individuelle, réelle ou imaginaire', NULL, 'type_objet', NULL, '2015-09-10 22:44:28.764419+02', '2014-10-02 19:23:52.626548+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (2, 'Acteur collectif', 'Toute collectivité, formelle ou informelle', NULL, 'type_objet', NULL, '2015-09-10 22:44:28.795636+02', '2014-10-02 19:24:29.334962+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (3, 'Objet abstrait', 'Tout concept, etc.', NULL, 'type_objet', NULL, '2015-09-10 22:44:28.836998+02', NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (4, 'Caractère social', 'Toute profession, fonction sociale, fonction institutionnelle, titre nobiliaire, etc.', NULL, 'type_objet', NULL, '2015-09-10 22:44:28.885907+02', '2014-10-02 19:26:36.403567+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (5, 'Bibliographie', 'Classe des objets existant en multiples exempaires, avec un auteur, un lieu d''édition, etc. Il s''agit généralement de livres, revues, mais aussi filmes, ou enregistrements sonores, etc.', NULL, 'type_objet', NULL, '2015-09-10 22:44:28.964139+02', '2014-10-02 19:28:32.356768+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (6, 'Objet concret', 'Tout objet unique et individuel, existant ou ayant existé matériellement', NULL, 'type_objet', NULL, '2015-09-10 22:44:29.013049+02', '2014-10-09 23:00:21.176298+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (7, 'Unité documentaire', 'Un texte ou portion de texte, tel un chapitre, une image dans un livre, etc. qui représente un découpage de l''objet auquel il appartient. On associera donc un objet de type Unité documentaire à l''objet qui le contient par le type d''association ''composer'', tout en indiquant dans la relation les pages exactes, lignes, position de la photo et tout autre élément permettant d''identifier l''objet', NULL, 'type_objet', NULL, '2015-09-10 22:44:29.050896+02', '2014-10-09 23:05:33.207408+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (8, 'Objet digital', 'Tout objet numérique n''ayant pas de réalité physique individuelle: site web, logiciel, photo digitale, mais pas le DVD de tel film (qui est de type bibliographie)', NULL, 'type_objet', NULL, '2015-09-10 22:44:29.085934+02', '2014-10-02 19:29:57.245961+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (9, 'Lieu', 'Toute portion de l''espace terrestre (ville, fôret, territoire administratif ou politique, fleuve, etc.)', NULL, 'type_objet', NULL, '2015-09-10 22:44:29.122466+02', '2014-10-02 19:34:18.998181+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (10, 'Immeuble', 'Toute construction (maison, bâtiment public, statue, etc.)  ou infrastructure (route, ligne électrique). Il s''agit donc d''un type particulier d''objet matériel qui est situé dans l''espace sans pouvoir être déplacé sans démontage.', NULL, 'type_objet', NULL, '2015-09-10 22:44:29.158156+02', NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (12, 'Nom de fonction', 'Le nom que prend une personne lors de l''exercice d''une fonction', NULL, 'type_nom', NULL, '2015-09-10 22:44:29.221527+02', NULL, 'Acteur', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (13, 'Surnom', NULL, NULL, 'type_nom', NULL, '2015-09-10 22:44:29.257338+02', NULL, 'Acteur', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (14, 'Nom civil', NULL, NULL, 'type_nom', NULL, '2015-09-10 22:44:29.298903+02', NULL, 'Acteur', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (15, 'Nom', 'Le simple nom d''un objet', NULL, 'type_nom', NULL, '2015-09-10 22:44:29.324111+02', NULL, 'Tout objet', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (16, 'Nom d''usage', NULL, NULL, 'type_nom', NULL, '2015-09-10 22:44:29.367887+02', NULL, 'Acteur', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (24, 'URL / Cote d''archive', 'Toute adresse, physique ou numérique, qui fait fonction de nom pour l''objet', '', 'type_nom', NULL, '2015-09-10 22:44:29.459797+02', '2014-10-11 09:03:41.37825+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (18, 'reproduit', NULL, NULL, 'type_association_objets', NULL, '2015-09-10 22:44:29.401355+02', '2015-09-14 20:11:20.551388+02', NULL, 'est reproduit par');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (20, 'se situe dans ', NULL, NULL, 'type_association_objets', NULL, '2015-09-10 22:44:29.425544+02', '2015-09-14 20:11:20.552913+02', NULL, 'comprend');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (21, 'concerne', NULL, NULL, 'type_association_objets', NULL, '2015-09-10 22:44:29.435798+02', '2015-09-14 20:11:20.553584+02', NULL, 'est concerné par');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (26, 'Date unique', 'La date d''un objet ou d''une connaissance qui n''a pas de durée, qui est présent seulement à un instant donné du temps', NULL, 'type_date', NULL, '2015-09-23 15:56:26.452898+02', '2015-09-24 18:15:02.810597+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (27, 'Date de fin', 'La date de fin d''un objet ou d''une connaissance qui possède une étendue dans le temps. A distinguer de la date de fin d''une période intermédiaire: cette dernière doit être utilisée pour les périodes dont on ne connaît pas la fin mais dont on sait qu''elles existaient à un moment donné.', NULL, 'type_date', NULL, '2015-09-23 15:56:26.455427+02', '2015-09-24 18:16:20.152734+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (11, 'est classé par', '', NULL, 'type_association_objets', NULL, '2015-09-10 22:44:29.188524+02', '2015-09-25 12:20:05.159557+02', NULL, 'classe');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (23, 'p', 'Date postulée: une date arbitraire, imaginée à partir d''autre éléments connus sur l''acteur', NULL, 'type_certitude_date', NULL, '2015-09-10 22:44:29.45226+02', '2015-10-02 18:44:48.448812+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (19, 'est une partie de', '', NULL, 'type_association_objets', NULL, '2015-09-10 22:44:29.417191+02', '2015-09-23 15:56:26.449125+02', NULL, 'se compose de');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (25, 'Date de début', 'La date de début d''un objet ou d''une connaissance qui s''étendent dans le temps. A distinguer de la date unique, qui est renseignée pour un objet ou une connaissance qui n''ont pas de durée, ainsi que de la date de début d''une période intermédiaire: cette dernière doit être utilisée pour les étendues dans le temps dont on ne connaît pas le début mais dont on sait qu''elles existaient à un moment donné.', NULL, 'type_date', NULL, '2015-09-23 15:32:30.866+02', '2015-09-23 15:56:26.451029+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (28, 'Date intermédiaire', 'Une date qui se situe à ''intérieur d''une période dont on ne connaît avec précision ni le début ni la fin', NULL, 'type_date', NULL, '2015-09-23 16:00:32.72286+02', '2015-09-23 15:51:01.53001+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (17, 'documente', 'Permet d''associer à un acteur, un acteur collectif ou tout autre objet (objet cible), un objet bibliographique, un site web ou toute autre forme de document (objet source) qui permet de se renseigner sur cet objet. De cette manière on peut créer une bibliographie.
Si la documentation est tirée d''un livre, on peut indiquer les pages concernée dans la référence précise de l''objet source.', NULL, 'type_association_objets', NULL, '2015-09-10 22:44:29.386651+02', '2015-09-25 12:24:36.969885+02', NULL, 'est documenté par');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (22, 'r', 'Date reconstituée. Une date probable reconstituée à partir d''éléments connus.', NULL, 'type_certitude_date', NULL, '2015-09-10 22:44:29.442668+02', '2015-10-02 18:44:09.625747+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (29, 'Début de période intermédiaire', 'Une date qui se situe au début d''une durée dont on ne connaît pas le début précis mais dont on sait qu''il se situe avant la première mention connue.', NULL, 'type_date', NULL, '2015-09-23 16:00:32.725417+02', '2015-09-23 15:51:01.53001+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (30, 'Fin de période intermédiaire', 'Une date qui se situe à la fin d''une durée dont on ne connaît pas avec précision le fin mais dont on sait que celle-ci se situe après la dernière date connue.', NULL, 'type_date', NULL, '2015-09-23 16:00:32.727561+02', '2015-09-23 15:51:01.53001+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (32, 'Contenu (UC)', 'Une unité de connaissance qui reproduit exactement ce que dit la source et ce même si on sait qu''elle se trompe', NULL, 'type_objet', NULL, '2015-09-23 17:31:59.685047+02', '2015-09-25 11:17:12.585578+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (33, 'Information  (UC)', 'Une unité de connaissance qui reproduit l''assertion de l''historien et qui est fondée sur une ou plusieurs sources', NULL, 'type_objet', NULL, '2015-09-23 17:31:59.687037+02', '2015-09-25 11:17:12.640598+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (39, 'compose un type d''UC', 'Associe un objet appartenant à la classe ''Type de rôle'' (objet source) à un objet appartenant à la classe des types d''UC (Type d''Information ou Type de Contenu)', NULL, 'type_association_objets', NULL, '2015-09-26 10:07:59.478668+02', '2015-10-05 07:19:54.24885+02', NULL, 'est composé par');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (35, 'a comme source (UC)', 'Associe à une UC (Information ou Contenu – objet source) un objet cible qui permet d''indiquer la source de la connaissance', NULL, 'type_association_objets', NULL, '2015-09-23 17:29:13+02', '2015-10-05 09:25:08.275702+02', NULL, 'source une UC');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (31, 'a comme type d''UC', 'Associe une unité de connaissance, c''est-à-dire à objet de type Contenu (UC) ou Information (UC), à un objet abstrait dans le but d''indiquer de quel type d''UC il s''agit (naissance, vente, etc.). L''objet de type unité de connaissance (Contenu ou Information) doit toujours se trouver en objet source et l''objet abstrait qui en est le type en objet cible.', NULL, 'type_association_objets', NULL, '2015-09-23 17:29:13+02', '2015-10-05 09:25:08.277557+02', NULL, 'type une UC');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (34, 'participe à l''UC', 'Associe un objet (objet source) à un objet de type UC: un Contenu ou une Information (objet cible).', NULL, 'type_association_objets', NULL, '2015-09-23 18:00:48.56376+02', '2015-10-05 09:25:08.278704+02', NULL, 'implique');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (37, 'Type d''Information (UC)', 'Objet abstrait qui définit un type d''unité de connaissance appartenant à la classe des Informations', '', 'type_objet', NULL, '2015-09-26 10:03:00+02', '2015-09-26 10:03:44.557285+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (36, 'Type de Contenu (UC)', 'Objet abstrait qui définit un type d''unité de connaissance appartenant à la classe des Contenus', NULL, 'type_objet', NULL, '2015-09-26 10:03:00+02', '2015-09-26 10:03:44.55883+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (38, 'Type de Role (UC)', 'Objet abstrait qui définit un type rôle indiquant de quelle manière un objet participe à une unité de connaissance', NULL, 'type_objet', NULL, '2015-09-26 10:03:00+02', '2015-09-26 10:03:44.559769+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (40, 'm', 'Genre masculin', NULL, 'type_genre', NULL, '2015-10-02 18:48:02.235848+02', NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (41, 'f', 'Genre féminin', NULL, 'type_genre', NULL, '2015-10-02 18:48:02.240477+02', NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (42, 'i', 'Genre indéterminé', NULL, 'type_genre', NULL, '2015-10-02 18:48:25.243813+02', NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee, valeur_inverse) VALUES (43, 'Unité de mesure', 'Objet abstrait utilisé comme unité de mesure pour une valeur numérique', NULL, 'type_objet', NULL, '2015-10-04 12:36:28.121125+02', '2014-10-02 19:23:52.626548+02', NULL, NULL);


--
-- TOC entry 2372 (class 0 OID 0)
-- Dependencies: 184
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE SET; Schema: parametres; Owner: -
--

SELECT pg_catalog.setval('parametres_systeme_pk_parametre_systeme_seq', 43, true);


--
-- TOC entry 2232 (class 2606 OID 22791)
-- Name: associer_parametres_systeme_pkey; Type: CONSTRAINT; Schema: parametres; Owner: -; Tablespace: 
--

ALTER TABLE ONLY associer_parametres_systeme
    ADD CONSTRAINT associer_parametres_systeme_pkey PRIMARY KEY (pk_associer_parametres_systeme);


--
-- TOC entry 2234 (class 2606 OID 22793)
-- Name: parametres_systeme_pkey; Type: CONSTRAINT; Schema: parametres; Owner: -; Tablespace: 
--

ALTER TABLE ONLY parametre_systeme
    ADD CONSTRAINT parametres_systeme_pkey PRIMARY KEY (pk_parametre_systeme);


--
-- TOC entry 2235 (class 2620 OID 22803)
-- Name: update_associer_parametres_creatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_associer_parametres_creatime BEFORE INSERT ON associer_parametres_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_created_column();


--
-- TOC entry 2236 (class 2620 OID 22804)
-- Name: update_associer_parametres_updatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_associer_parametres_updatime BEFORE UPDATE ON associer_parametres_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_updated_column();


--
-- TOC entry 2237 (class 2620 OID 30937)
-- Name: update_parametre_creatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_parametre_creatime BEFORE INSERT ON parametre_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_created_column();


--
-- TOC entry 2238 (class 2620 OID 30938)
-- Name: update_parametre_updatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_parametre_updatime BEFORE UPDATE ON parametre_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_updated_column();


-- Completed on 2015-10-05 13:57:28 CEST

--
-- PostgreSQL database dump complete
--

